%define name gwaei
%define version 1.3.1
%define release %mkrel 1
#make synaptic happy
%define _requires_exceptions GConf2\\|libgconf-2.so.4

Summary: Japanese-English Dictionary for Gnome
Name:    %{name}
Version: %{version}
Release: %{release}
License: GPLv3
URL:     http://gwaei.sourceforge.net
Group:   Office
Source:  %{name}-%{version}.tar.gz
Patch:   gwaei-1.2.0-data-hook.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: gtk2-devel
BuildRequires: libsexy-devel
BuildRequires: libncursesw-devel
BuildRequires: GConf2-devel
BuildRequires: desktop-file-utils
BuildRequires: curl-devel => 2.18
Requires: rsync
Obsoletes: %{name} < %version



%description
Japanese-English Dictionary for Gnome. gWaei is a drop-in replacement
for Gjiten. The mainfeature of this dictonary program is regular
expression support. For example, you can use periods in place of
unknown Kanji of a word to search for it.

%description -l de
Japanisch-Englisch Wörterbuch für Gnome.

%description -l fr
Dictionnaire japonais-anglais pour Gnome.

%description -l es
Japonés-Inglés Diccionario para Gnome.

%description -l pl
Japoński-Angielski Słownik dla Gnome.

%description -l sr
Јапански-енглески речник за ГНОМЕ.

%description -l nl
Japans-Engels woordenboek voor Gnome.



%prep

%setup -q
%patch -p1

%configure2_5x \
     --disable-schemas-install

%build

%make

%install
%makeinstall_std
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Office-Accessories" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


%find_lang %{name} --with-gnome

%define schemas gwaei

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
%update_desktop_database
%post_install_gconf_schemas %{schemas}
%update_icon_cache hicolor

%preun
%preun_uninstall_gconf_schemas %{schemas}

%postun
%clean_icon_cache hicolor
%clean_desktop_database
%clean_menus


%files -f %name.lang
%defattr(-, root, root)
%doc NEWS INSTALL COPYING ChangeLog
%exclude %{_datadir}/doc/%{name}
%{_sysconfdir}/gconf/schemas/*.schemas
%{_bindir}/gwaei
%{_bindir}/waei
%{_datadir}/applications/*.desktop
%{_datadir}/%{name}
%{_libdir}/%{name}/kpengine
%{_datadir}/icons/hicolor/*/*
%{_datadir}/omf/gwaei/gwaei-C.omf
%{_datadir}/man/man1/*.1.bz2


%changelog
* Sun May 09 2010 slick50 <lxgator@gmail.com> 1.3.1-1pclos2010
- 1.3.1

* Fri Mar 19 2010 slick50 <lxgator@gmail.com> 1.3.0-1pclos2010
- 1.3.0

* Sun Oct 25 2009 slick50 <lxgator@gmail.com> 1.2.0-1pclos2010
- 1.2.0

* Sun Oct 18 2009 slick50 <lxgator@gmail.com> 1.1-1pclos2010
- 1.1

* Sun Sep 27 2009 slick50 <lxgator@gmail.com> 1.0.1-1pclos2009
- 1.0.1

* Fri May 29 2009 Texstar <texstar@gmail.com> 1.0b3-3pclos2009
- rebuild

* Wed May 20 2009 Texstar <texstar@gmail.com> 1.0b3-2pclos2009
- fix synaptic group
- put menu entry in office accessories with the other dict apps

* Mon May 18 2009 slick50 <lxgator@gmail.com> 1.0b3-1pclos2009
- inital pkg

